/*===========================================================================
  Copyright (C) 2001 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetss Ave, Cambridge, 
  MA 02139, USA.
 
  Corresponding concerning ESO-MIDAS should be addressed as follows:
    Internet e-mail: midas@eso.org
    Postal address: European Southern Observatory
            Data Management Division 
            Karl-Schwarzschild-Strasse 2
            D 85748 Garching bei Muenchen 
            GERMANY
===========================================================================*/
#ifndef FLAMES_MRQMIN_H
#define FLAMES_MRQMIN_H

int mrqmin(float x[],
           float y[],
           float sig[],
           int ndata,
           float a[],
           int ma,
           int lista[],
           int mfit,
           float ** covar,
           float ** alpha,
           float * chisq,
           void (*funcs)(float,float *,float *,float *,int),
           double * alamda);

int mrq_min(float y[],
            float sig[],
            int ndata,
            float a[],
            int ma,
            int lista[],
            int mfit,
            float ** covar,
            float ** alpha,
            float * chisq,
            void (*funcs)(float,float *,float *,float *,int),
            float * alamda);

#endif
